Download it now!
Bug 136471 - Applying a spell checker suggestion adds the result also to the autocorrect replacement list (since 7.0)
Summary: Applying a spell checker suggestion adds the result also to the autocorrect r...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.0.0.1 rc
Hardware: All All
: high major
Assignee: Tamás Zolnai
URL:
Whiteboard: target:7.1.0 target:7.0.2
Keywords: bibisected, bisected, needUITest, regression
Depends on:
Blocks:
 
Reported: 2020-09-04 15:16 UTC by Telesto
Modified: 2020-09-10 14:06 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Bibisect log (3.36 KB, text/plain)
2020-09-07 08:09 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2020-09-04 15:16:53 UTC
Description:
Applying a spell checker suggestion adds the result also to the autocorrect replacement list. 

Steps to Reproduce:
1. Type insenate (English Dictionary)
2. Select the suggestion 'Insane'
3. Tools -> Autocorrect -> Autocorrect options -> Replacement tab
4. Type insenate 

Actual Results:
Insenate is added to they replacement list

Expected Results:
Didn't ask for that service. I can make different mistakes typing...


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.1.0.0.alpha0+ (x64)
Build ID: e8b8e7be0b2ad693224cd94062a55610eb69df7e
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL
Comment 1 Telesto 2020-09-04 15:19:32 UTC
Not seen in
Version: 6.4.0.0.beta1+ (x64)
Build ID: 20be5cd0bdc57d812bf34a2debfe48caa51de881
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: default; VCL: win; 
Locale: nl-NL (nl_NL); UI-Language: en-US
Calc: CL
Comment 2 Telesto 2020-09-04 15:20:18 UTC
And in
Version: 7.0.0.0.alpha1+ (x64)
Build ID: 99c4fefdbb6129a58421b9c7f...
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win; 
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL
Comment 3 milly texas 2020-09-05 14:18:26 UTC
[url=https://www.thecaseconverter.com/]case converter[/url] Description:
Applying a spell checker suggestion adds the result also to the autocorrect replacement list. 

Steps to Reproduce:
1. Type insenate (English Dictionary)
2. Select the suggestion 'Insane'
3. Tools -> Autocorrect -> Autocorrect options -> Replacement tab
4. Type insenate 

Actual Results:
Insenate is added to they replacement list

Expected Results:
Didn't ask for that service. I can make different mistakes typing...


Reproducible: Always


User Profile Reset: No
Comment 4 milly texas 2020-09-05 14:19:56 UTC
Description:
Applying a spell checker suggestion adds the result also to the autocorrect replacement list. 

Steps to Reproduce:
1. Type insenate (English Dictionary)
2. Select the suggestion 'Insane'
3. Tools -> Autocorrect -> Autocorrect options -> Replacement tab
4. Type insenate 

Actual Results:
Insenate is added to they replacement list

Expected Results:
Didn't ask for that service. I can make different mistakes typing...

https://www.thecaseconverter.com/

Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.1.0.0.alpha0+ (x64)
Build ID: e8b8e7be0b2ad693224cd94062a55610eb69df7e
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL
Comment 5 Telesto 2020-09-07 08:09:50 UTC
Created attachment 165219 [details]
Bibisect log

Bisected to:
author	Tamás Zolnai <tamas.zolnai@collabora.com>	2019-11-17 14:17:59 +0100
committer	Tamás Zolnai <tamas.zolnai@collabora.com>	2019-11-23 23:22:08 +0100
commit	5efa7d4605c8c683bb54a1723d0916e6f0166b52 (patch)
tree	46e96bc2950fd181be4745eec266ea6a43cf9bd2
parent	4549de73090284f149ed6ba62818e27739bdaf19 (diff)
SpellingPopup: Convert suggestion menu items to use slot ID.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=5efa7d4605c8c683bb54a1723d0916e6f0166b52
Comment 6 Telesto 2020-09-07 08:10:21 UTC
Adding CC: to Tamás Zolnai
Comment 7 Telesto 2020-09-07 08:10:50 UTC Comment hidden (obsolete)
Comment 8 Commit Notification 2020-09-07 20:16:18 UTC
Tamás Zolnai committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/36bd42e1e57604731fafd556331010578f9233fa

tdf#136471: Applying a spell checker suggestion adds the result ..

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2020-09-09 11:15:18 UTC
Tamás Zolnai committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/535ba982950eb8edfaa57430639cb861fb0769b4

tdf#136471: Applying a spell checker suggestion adds the result ..

It will be available in 7.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.